Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class Compile

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.compile.AbstractCompile
                  org.gradle.api.tasks.compile.Compile

    public class Compile
    extends AbstractCompile

Compiles Java source files.

Authors:
  Hans Dockter

Constructor Summary
`Compile()`

Method Summary
`protected void` | `compile()`
`File` | `getDependencyCacheDir()`
`Compiler` | `getJavaCompiler()`
`CompileOptions` | `getOptions()` Returns the compilation options.
`void` | `setDependencyCacheDir(File dependencyCacheDir)`
`void` | `setJavaCompiler(Compiler javaCompiler)`

Methods inherited from class AbstractCompile
compile, getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Constructor Detail

### Compile

    public Compile()

Method Detail

### compile

    @TaskAction
    protected void compile()

### getDependencyCacheDir

    @OutputDirectory
    public File getDependencyCacheDir()

### getJavaCompiler

    public Compiler getJavaCompiler()

### getOptions

    @Nested
    public CompileOptions getOptions()

  Returns the compilation options.
  Returns:
    The compilation options.

### setDependencyCacheDir

    public void setDependencyCacheDir(File dependencyCacheDir)

### setJavaCompiler

    public void setJavaCompiler(Compiler javaCompiler)

Gradle API 1.1-rc-1